Bug 49243 - XFree86-xfs-4.1.0-0.9.0 breaks /etc/X11/fs/config
Summary: XFree86-xfs-4.1.0-0.9.0 breaks /etc/X11/fs/config
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-17 12:44 UTC by Jonathan Kamens
Modified: 2007-04-18 16:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-10 15:28:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
broken /etc/X11/fs/config (785 bytes, text/plain)
2001-07-17 12:44 UTC, Jonathan Kamens
no flags Details

Description Jonathan Kamens 2001-07-17 12:44:34 UTC
I upgraded to XFree86-xfs-4.1.0-0.9.0 and my /etc/X11/fs/config file was
modified -- many of the directories listed in my font path wre removed,
even though they exist and contain valid fonts.  So many directories were
removed, in fact, that "fixed" could no longer be found so the X server
wouldn't start.

I'll attach the broken config file.

Comment 1 Jonathan Kamens 2001-07-17 12:44:54 UTC
Created attachment 23827 [details]
broken /etc/X11/fs/config

Comment 2 Trond Eivind Glomsrxd 2001-07-17 15:02:42 UTC
The main thing missing is the "misc" font path, containing the font "fixed" - X
won't even start without it.

Comment 3 Mike A. Harris 2001-07-18 17:53:01 UTC
I'm looking into this.  It might be a problem with rpm install scripts
possibly.

Comment 4 Mike A. Harris 2001-07-22 21:42:24 UTC
Aparently the %postun scripts were hosing the xfs config.  A fix is present in
4.1.0-0.9.1 release but upgrades from prior 4.1.0 releases are likely to not
work.  This new package needs to be tested upgrading a stock 7.1 system with
no rawhide components installed.  The upgrade shouldn't strip the paths.

Need confirmation the fix works.

Comment 5 David Lawrence 2006-04-10 15:28:47 UTC
Closing due to inactivity. Please feel free to reopen this bug or refile this
bug against the latest release Fedora Core if you feel this bug is still
relevant today.

Thank you


Note You need to log in before you can comment on or make changes to this bug.